View Issue Details

IDProjectCategoryView StatusLast Update
0006768libmicrohttpdperformancepublic2021-09-02 17:54
ReporterChristian Grothoff Assigned ToKarlson2k  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionGit master 
Target Version0.9.73Fixed in Version0.9.73 
Summary0006768: MHD attempts to set TCP-specific options when listening on a UNIX domain socket...
DescriptionFeb 24 15:58:38 tripwire taler-exchange-httpd[28568]: Feb 24 15:58:38-316274 libmicrohttpd-28568 INFO Setting TCP_N
Feb 24 15:58:38 tripwire taler-exchange-httpd[28568]: Feb 24 15:58:38-316298 libmicrohttpd-28568 INFO Setting TCP_C
Steps To ReproduceBind to UNIX.
Additional InformationWhat we should do is detect this and then NOT set the TCP options ever.
TagsNo tags attached.

Activities

Christian Grothoff

2021-04-16 10:28

manager   ~0017747

Fixed in c556a538..6c751386

Karlson2k

2021-09-02 17:54

developer   ~0018163

Fix committed to master branch.

Related Changesets

libmicrohttpd: master fadba113

2021-04-15 17:58:58

Karlson2k


Committer: Christian Grothoff Details Diff
fix 0006768: do not use TCP-specific syscalls on UNIX domain sockets Affected Issues
0006768
mod - ChangeLog Diff File
mod - configure.ac Diff File
mod - src/microhttpd/daemon.c Diff File
mod - src/microhttpd/internal.h Diff File
mod - src/microhttpd/mhd_send.c Diff File

libmicrohttpd: master 6c751386

2021-04-16 10:26:20

Christian Grothoff

Details Diff
fix 0006768: do not use TCP-specific syscalls on UNIX domain sockets (merge) Affected Issues
0006768
mod - ChangeLog Diff File

Issue History

Date Modified Username Field Change
2021-02-24 16:03 Christian Grothoff New Issue
2021-04-05 21:20 Christian Grothoff Assigned To => Christian Grothoff
2021-04-05 21:20 Christian Grothoff Status new => assigned
2021-04-16 10:28 Christian Grothoff Status assigned => resolved
2021-04-16 10:28 Christian Grothoff Resolution open => fixed
2021-04-16 10:28 Christian Grothoff Fixed in Version => 0.9.72
2021-04-16 10:28 Christian Grothoff Note Added: 0017747
2021-04-16 10:29 Christian Grothoff Fixed in Version 0.9.72 => Git master
2021-04-16 10:29 Christian Grothoff Target Version => Git master
2021-04-16 10:30 Christian Grothoff Fixed in Version Git master => 0.9.73
2021-04-16 10:30 Christian Grothoff Target Version Git master => 0.9.73
2021-04-27 23:09 Christian Grothoff Status resolved => closed
2021-09-02 17:54 Christian Grothoff Changeset attached => libmicrohttpd master 6c751386
2021-09-02 17:54 Christian Grothoff Changeset attached => libmicrohttpd master fadba113
2021-09-02 17:54 Karlson2k Note Added: 0018163
2021-09-02 17:54 Karlson2k Assigned To Christian Grothoff => Karlson2k